- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinUnsignedIntArrayWithLength Class Reference

unsigned int * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinUnsignedIntArrayWithLength:

[legend]
Collaboration diagram for CoinUnsignedIntArrayWithLength:

[legend]
List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
unsigned int * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
unsigned int * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinUnsignedIntArrayWithLength ()
| Default constructor - NULL.
| CoinUnsignedIntArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinUnsignedIntArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinUnsignedIntArrayWithLength (const CoinUnsignedIntArrayWithLength &rhs)
| Copy constructor.
| CoinUnsignedIntArrayWithLength (const CoinUnsignedIntArrayWithLength *rhs)
| Copy constructor.2.
CoinUnsignedIntArrayWithLength & | operator= (const CoinUnsignedIntArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

unsigned int * version

Definition at line 714 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 744 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 747 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 753 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | const CoinUnsignedIntArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 756 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | const CoinUnsignedIntArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 759 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinUnsignedIntArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 720 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

unsigned int* CoinUnsignedIntArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 723 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::array_, and CoinArrayWithLength::size_.

void CoinUnsignedIntArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 730 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::size_.

unsigned int* CoinUnsignedIntArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 737 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::conditionalNew().

CoinUnsignedIntArrayWithLength& CoinUnsignedIntArrayWithLength::operator= | ( | const CoinUnsignedIntArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Definition at line 762 of file CoinIndexedVector.hpp.

References CoinArrayWithLength::operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/CoinUtils/src/CoinIndexedVector.hpp